Summary:	A Python library for manipulating kickstart files
Summary(pl.UTF-8):	Pythonowa biblioteka do obróbki plików kickstart
Name:		python-kickstart
Version:	1.50
Release:	3
License:	GPL
Group:		Libraries/Python
# https://fedorahosted.org/releases/p/y/pykickstart/ (not yet)
Source0:	pykickstart-%{version}.tar.gz
# Source0-md5:	a323c2d1242e7dd1ef4e0bb46f0eacb7
URL:		http://fedoraproject.org/wiki/Pykickstart
BuildRequires:	gettext-devel
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pykickstart package is a Python library for manipulating kickstart
files.

%description -l pl.UTF-8
Pakiet pykickstart to pythonowa biblioteka do obróbki plików
kickstart.

%prep
%setup -q -n pykickstart-%{version}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README docs/programmers-guide
%attr(755,root,root) %{_bindir}/ksflatten
%attr(755,root,root) %{_bindir}/ksvalidator
%attr(755,root,root) %{_bindir}/ksverdiff
%{py_sitescriptdir}/pykickstart-%{version}-py*.egg-info
%{py_sitescriptdir}/pykickstart
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-kickstart.git;a=log;h=master

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 03c465d
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> bfd3677
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7b62899
- release 2

* Sat Jan 17 2009 Patryk Zawadzki <patrys@room-303.com> b065903
- package more files

* Sat Jan 17 2009 qwiat <qwiat@pld-linux.org> 9c3a453
- 1.50

* Sat Oct 11 2008 Patryk Zawadzki <patrys@room-303.com> d4047c5
- 1.44

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d13426
- release 2

* Wed Sep 10 2008 Jakub Bogusz <qboosh@pld-linux.org> fdf50b5
- URL

* Fri Aug 29 2008 Elan Ruusamäe <glen@pld-linux.org> a9268c4
- BR gettext-devel for msgfmt

* Tue Aug 26 2008 Patryk Zawadzki <patrys@room-303.com> ed8912f
- 1.42

* Mon Dec 17 2007 Patryk Zawadzki <patrys@room-303.com> 15a67fe
- 1.23

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b6e9cfd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9271bf1
- converted to UTF-8

* Thu May 18 2006 Jakub Bogusz <qboosh@pld-linux.org> c69f2b6
- removed COPYING from doc (just GPL)

* Thu May 18 2006 Jakub Bogusz <qboosh@pld-linux.org> a8039f8
- pl

* Tue May 16 2006 Elan Ruusamäe <glen@pld-linux.org> 9b80327
- adapted from FC5

